option task = {
    name: "MeanStoredDataM1",
    every: 1h0s,
}

// Data source
data = from(bucket: "TAU_1YEAR_TEST")
    |> range(start: -task.every)
    |> filter(fn: (r) => r["_measurement"] == "Potenza Apparente M1" or r["_measurement"] == "Potenza Attiva M1" or r["_measurement"] == "Power Factor M1")

data
    // Data transformation
    |> aggregateWindow(
        every: 1h,
        fn: mean,
    )
    |> map(fn: (r) => ({r with operation: "mean"}))
    // Data destination
    |> to(bucket: "TAU_HIST_TEST", org: "dtman")